Package ru.bitel.bgbilling.modules.rentsoft.server.bean

# Class RentsoftPaymentManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<RentsoftPayment>
ru.bitel.bgbilling.modules.rentsoft.server.bean.RentsoftPaymentManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class RentsoftPaymentManager
    extends ru.bitel.common.dao.AbstractIdDao<RentsoftPayment>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RentsoftPaymentManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `areChargesAllowedToCid​(int contractId)` |
  `boolean` | `billUser​(RentsoftPayment payment, boolean revert)` |
  `boolean` | `checkCid​(int contractId)` |
  `java.lang.String` | `cidToUuid​(int cid)` |
  `void` | `deleteForContract​(int cid)` |
  `RentsoftPayment` | `getByTxid​(java.lang.String txid)` |
  `int` | `getCidToCharge​(int parentContractId)` |
  `java.lang.String` | `getCurrentBalance​(int cid)` |
  `protected RentsoftPayment` | `getFromRS​(java.sql.ResultSet rs)` |
  `boolean` | `getIsJuridical​(int contractId)` |
  `boolean` | `getIsPostpaid​(int contractId)` |
  `java.util.List<RentsoftPayment>` | `getPaymentList​(int productId, int cid)` |
  `java.lang.String` | `getTariffIds​(int contractId)` |
  `java.util.List<java.lang.String>` | `getUuidsByTariff​(int tid)` |
  `boolean` | `isEnoughMoney​(int contractId, java.math.BigDecimal amount)` |
  `boolean` | `isTxidExists​(java.lang.String txid)` |
  `boolean` | `recalculateUser​(int cid, java.util.Date date)` |
  `protected void` | `updateImpl​(RentsoftPayment rentsoftPayment)` |
  `int` | `uuidToCid​(java.lang.String uuid)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RentsoftPaymentManager

    public RentsoftPaymentManager​(java.sql.Connection con, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### getPaymentList

    public java.util.List<RentsoftPayment> getPaymentList​(int productId, int cid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(RentsoftPayment rentsoftPayment) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<RentsoftPayment>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getFromRS

    protected RentsoftPayment getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<RentsoftPayment>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getByTxid

    public RentsoftPayment getByTxid​(java.lang.String txid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### isTxidExists

    public boolean isTxidExists​(java.lang.String txid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkCid

    public boolean checkCid​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### isEnoughMoney

    public boolean isEnoughMoney​(int contractId, java.math.BigDecimal amount)

  - ### billUser

    public boolean billUser​(RentsoftPayment payment, boolean revert) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### recalculateUser

    public boolean recalculateUser​(int cid, java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCurrentBalance

    public java.lang.String getCurrentBalance​(int cid)

  - ### getTariffIds

    public java.lang.String getTariffIds​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getIsJuridical

    public boolean getIsJuridical​(int contractId)

  - ### getIsPostpaid

    public boolean getIsPostpaid​(int contractId)

  - ### areChargesAllowedToCid

    public boolean areChargesAllowedToCid​(int contractId)

  - ### getUuidsByTariff

    public java.util.List<java.lang.String> getUuidsByTariff​(int tid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteForContract

    public void deleteForContract​(int cid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### uuidToCid

    public int uuidToCid​(java.lang.String uuid)

  - ### cidToUuid

    public java.lang.String cidToUuid​(int cid)

  - ### getCidToCharge

    public int getCidToCharge​(int parentContractId)